Positioning Area Identifier

Fetching list of positioning area identifier.

LIST

Return a collection of positioning area identifier.

Filtering

You can filter your results as follows:

List of positioning area identifiers for specific id(s)
  • /positioning-area-identifiers?filter[id]=1
  • /positioning-area-identifiers?filter[id]=1,2,3
List of positioning area identifiers for specific handle(s)
  • /positioning-area-identifiers?filter[handle]=B
  • /positioning-area-identifiers?filter[handle]=B,I

Example of fetching positioning area identifier list

Request

GET /positioning-area-identifiers HTTP/1.1

Response

{
	"data": [
		{
			"id": 10,
			"handle": "perferendis",
			"name": {
				"de": "et iusto",
				"en": "non"
			},
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 9,
			"handle": "quia",
			"name": {
				"de": "quod ut commodi",
				"en": "blanditiis esse minima"
			},
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
        .....
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/positioning-area-identifiers",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

GET

Return a positioning area identifier of given id = x.

Example of fetching specified positioning area identifier information

Request

GET /positioning-area-identifiers/2 HTTP/1.1

Response

{
	"id": 2,
	"handle": "magni",
	"name": {
		"de": "nostrum non nam",
		"en": "et rerum molestias"
	},
	"created_at": "2023-01-10T10:11:11+00:00",
	"updated_at": "2023-01-10T10:11:11+00:00"
}